Stormeus

  • VC:MP Developer
  • oh god how did i get here im not good w computer
  • Posts: 1,043
Plugin Update Released (2018-07-09)
«  »Last edited
  • Sockets
    • Fixed a heap corruption issue that broke the sockets plugin when built with newer compilers.
    • Fixed a memory leak in the sockets plugin when closing a socket connection while the plugin was still processing incoming packets.
  • Java
  • The source code for officially maintained plugins has been updated on Bitbucket to use the new plugin SDK introduced in rel004 if they haven't already been updated.
An updated plugin pack for 04rel006 servers can be found here:
https://v04.vc-mp.org/allplugins_04rel006_patch2.7z

Ququr_Uxcho

  • Newbie
  • Posts: 18

VK.Angel.OfDeath

  • Newbie
  • Posts: 13
Re: Plugin Update Released (2018-07-09)
« Reply #2,  »
Nice update, I am however getting this error from the console: 'plugins/squirrel04rel32.dll' plugin is for incompatible API version 0.0 (current is 2.0). I have the latest server.exe from 2018-06-28 and downloaded the plugin pack you linked.

MEGAMIND

  • Sr. Member
  • Developer of "Web-Net" search engine
  • Posts: 471

Stormeus

  • VC:MP Developer
  • oh god how did i get here im not good w computer
  • Posts: 1,043
Re: Plugin Update Released (2018-07-09)
« Reply #4,  »
Quote from MEGAMIND on July 9th, 08:42 AM
there is still one error which says incompatible api for squirrel plugin
Quote from VK.Angel.OfDeath on July 9th, 08:33 AM
Nice update, I am however getting this error from the console: 'plugins/squirrel04rel32.dll' plugin is for incompatible API version 0.0 (current is 2.0). I have the latest server.exe from 2018-06-28 and downloaded the plugin pack you linked.
Fixed. Looks like this only affected Windows builds.